import React from "react";
import { StepProps, Typography } from "@material-ui/core";
import { useTranslation } from "react-i18next";
import { useSelector } from "react-redux";
import { AppState } from "@/state/reducer";
import { Actions, Step } from "@/components";
import { ContactButton } from "@/pages/steps/common";


export const GradeStep = (props: StepProps) => {
    const { t } = useTranslation();
    const grade = useSelector<AppState, number | null>(state => state.proposal.grade);

    return <Step { ...props } label={ t('steps.grade.header') } completed={ !!grade } active={ true }>
        { grade ? <>
            <Typography variant="h1">{ grade }</Typography>
            <Actions>
                <ContactButton />
            </Actions>
        </> : <>{ t("steps.grade.wait") }</> }
    </Step>
}
